Error After Upgrade to 1.3.0 Apache2 Will Not Start



  • Error after upgrade from 1.2.0 to 1.3.0
    Apache2 will not start.

    -- Unit apache2.service has begun starting up.
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: * Starting Apache httpd web server apache2
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: *
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: * The apache2 configtest failed.
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: Output of config test was:
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: apache2: Syntax error on line 140 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/mod_mono.load: Cannot load /usr/lib/apache2/modules/mod_mono.so
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: Action 'configtest' failed.
    Apr 13 12:57:02 WJXT-CloneD-VM2 apache2[6497]: The Apache error log may have more information.
    Apr 13 12:57:02 WJXT-CloneD-VM2 systemd[1]: apache2.service: Control process exited, code=exited status=1
    Apr 13 12:57:02 WJXT-CloneD-VM2 systemd[1]: Failed to start LSB: Apache2 web server.
    -- Subject: Unit apache2.service has failed
    -- Defined-By: systemd
    -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel

    -- Unit apache2.service has failed.

    -- The result is failed.
    Apr 13 12:57:02 WJXT-CloneD-VM2 systemd[1]: apache2.service: Unit entered failed state.
    Apr 13 12:57:02 WJXT-CloneD-VM2 systemd[1]: apache2.service: Failed with result 'exit-code'.



  • I have also update mono in accordance with the link below:
    http://www.mono-project.com/download/stable/#download-lin-ubuntu



  • Was this error happening before you updated mono? It seems like something is wrong with mod mono. Maybe try completely removing mono and reinstall?



  • Broke for me as well....I haven't had the time to figure out what changed, it seems to be 2 fold...syntax in the Apache2 update changed for some functions; and/or the libapache2-mod-mono is not install-able for the updated version(s) installed. I ran the ubuntu 16 system updates and everything broke. Log for system says it could not start due to syntax error in line X --- points to mono stuff same as JaYp247 above... Any ideas?





  • JaYp247 -- Did you ever figure out how to fix it? Something with the apache-mod-mono is still broken on my machine, haven't figured out how to fix it....



  • It sounds the same as the forum post you found. Have you tried that?